Planning MapR Expansion Pack (MEP) Upgrades

The set of ecosystem components that you run in the cluster must all belong to the same MEP.

As of MapR 5.2, you must install ecosystem components as part of a MEP. You will be offered packs to install that contain selected component versions. After upgrading, you may want to upgrade to a more recent MEP to get the latest patch releases or newer versions of ecosystem components.

Most MapR core versions support multiple MEPs, but the set of ecosystem components that you run in the cluster must all belong to the same MEP. You cannot selectively upgrade components. When you upgrade a MEP, all components are replaced with the versions contained in the newly selected MEP.

To compare ecosystem component versions across MEPs, see Component Versions for Released MEPs.

For details on the ecosystem components available in each MEP and the list of MEPs supported by your MapR cluster version, see the MEP Release Notes.

For API or behavioral changes associated with new ecosystem components, see the documentation for the individual component under Ecosystem Components.